hardware-rental-customers¶
Source¶
Repository:
jef-systems/jef-hardware-backendSource Run ID:
24764202789Source SHA:
9ef28a6830007504d236eb1131c3ced243ffccc1Module:
hardwareDocumentation Scope:
getLambda:
jef-hardware-get-1
Endpoint¶
API Name:
jef-hardwareAction Name:
getMethod:
GETScope Label:
GETResource Path:
/hardware-rental-customersComplete Endpoint:
https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-rental-customersLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-hardware-get-1curl payload mode:
none
API Gateway Description¶
Function: jef-hardware-get-1
API Name: jef-hardware
Action: get
Method: GET
Resource Path: /hardware-rental-customers
Response:
- exists: boolean
- message: string
- items: [{"customer_id":"string","customer_code":"string","customer_name":"string","contact_number":"string","email":"string","address":"string","government_id_type":"string","government_id_number":"string","active":"boolean","updated_at":"string-iso8601"}]
- count: number-whole-number
- last_evaluated_key: string|null
- source: string
Request Payload¶
[]
Response¶
{
"exists": "boolean",
"message": "string",
"items": "[{\"customer_id\":\"string\",\"customer_code\":\"string\",\"customer_name\":\"string\",\"contact_number\":\"string\",\"email\":\"string\",\"address\":\"string\",\"government_id_type\":\"string\",\"government_id_number\":\"string\",\"active\":\"boolean\",\"updated_at\":\"string-iso8601\"}]",
"count": "number-whole-number",
"last_evaluated_key": "string|null",
"source": "string"
}
CMD curl¶
curl "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-rental-customers"
PowerShell curl¶
curl.exe "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-rental-customers"